%define major 0
%define libname %mklibname ytnef %{major}
%define develname %mklibname -d ytnef

Name:		ytnef
Version:	1.9.2
Release:	%mkrel 1
Epoch:		1
Summary:	Yerase's TNEF Stream Reader
License:	GPLv2+
Group:		System/Networking
Url:		https://github.com/Yeraze/ytnef/tree/master/ytnef
# That mismatch in version forces to use the master branch. Do an rm SOURCES/master.tar.gz and mgarepo sync -d to update it
Source:		https://github.com/Yeraze/ytnef/archive/master.tar.gz
Patch0:		CVE-2017-9058.patch

Requires:	perl-MIME-tools
Requires:	%{libname} = %{epoch}:%{version}

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n %{libname}
Summary: TNEF Stream Parser shared library
Group: System/Libraries

%description -n %{libname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{develname}
Summary: TNEF Stream Parser library
Group: Development/C
Requires: %{libname} = %{epoch}:%{version}
Provides: libytnef-devel = %{version}-%{release}

%description -n %{develname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%prep
%setup -q -n %{name}-master
%patch0
# Inexistant and useless perl module
#perl -pi -e 's|use Mail::Mailer::test;|#use Mail::Mailer::test;|; s|/usr/local/bin|%{_bindir}|' ytnef/src/ytnef/ytnefprocess.pl

%build
#cd ytnef
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
%make_install

%files
%doc COPYING README.md
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess

%files -n %{libname}
%{_libdir}/libytnef.so.%{major}
%{_libdir}/libytnef.so.%{major}.*

%files -n %{develname}
%{_libdir}/libytnef.so
%{_libdir}/libytnef.a
%{_libdir}/libytnef.la
%{_libdir}/pkgconfig/libytnef.pc
%{_includedir}/*.h


%changelog
* Tue Jun 06 2017 bcornec <bcornec> 1:1.9.2-1.mga6
+ Revision: 1107127
- Fix ytnef version to match upstream's one
- Fix Security issue mga#20893

* Thu May 11 2017 bcornec <bcornec> 2.6-6.mga6
+ Revision: 1100146
- Updated to git e462cbe to fix mga#20299

* Mon Jan 18 2016 daviddavid <daviddavid> 2.6-5.mga6
+ Revision: 925296
- switch to %%configure2_5x to fix build
- pass NOCONFIGURE=1 to autogen

  + bcornec <bcornec>
    - Fix an issue with html attachments removed from list

* Tue Oct 27 2015 bcornec <bcornec> 2.6-3.mga6
+ Revision: 895856
- Patch ytnefprocess.pl to have a more useful version (will submit upstream)

* Tue Oct 27 2015 bcornec <bcornec> 2.6-2.mga6
+ Revision: 895811
- Fix a hardcoded path in ytnefprocess.pl

* Tue Oct 27 2015 bcornec <bcornec> 2.6-1.mga6
+ Revision: 895699
- Update Group for ytnef
- import ytnef package version 2.6 (supersedes libytnef provided separately)
- Created package structure for ytnef.

